Subject: net-2.6.24 rebased

From: David Miller <[email-masked]>
Date: Thu, 06 Sep 2007 03:57:56 -0700 (PDT)

Upstream got a backport of my netdev->priv fixes for the
cxgb3 driver, creating a bunch of conflicts with the napi_struct
changes, so I took the opportunity to refresh the tree and
combine some bug fixes into the changes that introduced those
bugs :-) (bug fix attributions were added to the changelogs
as needed)

	kernel.org:/pub/scm/linux/kernel/git/davem/net-2.6.24.git

I've tried to sanity check this rebase as best as possible
but mistakes are always possible especially since I'm doing
this from the kernel summit in Cambridge :-)

I've kept the previous tree around as "bak-net-2.6.24.git"
so it can be referenced for researching potential mistakes.

Enjoy!